[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBLookup.Destroy

Destructor for the class instance.

## Declaration

Source position: dbctrls.pp line 154

`public destructor TDBLookup.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. Destroy ensures that resources allocated to internal members in the class instance are freed, and calls the inherited destructor prior to exiting from the method.

## See also

TComponent.Destroy